# FdoDataValue Class Reference

`#include <DataValue.h>`

Inheritance diagram for FdoDataValue:

[legend]

List of all members.

## Detailed Description

The FdoDataValue class derives from FdoLiteralValue and represents a literal value such as a string or a number.

Definition at line 33 of file DataValue.h.

## Public Member Functions
virtual FDO_API FdoDataType | GetDataType ()=0
| Gets the data type of the FdoDataValue.
virtual FDO_API FdoLiteralValueType | GetLiteralValueType () const
| Gets the literal value type of the FdoDataValue.
FdoString * | GetXmlValue ()
virtual FDO_API bool | IsNull ()
| Returns true if the FdoDataValue represents a null value.
virtual FDO_API void | SetNull ()
| Sets the FdoDataValue to a null value of the specified type.
## Static Public Member Functions
static FdoDataValue * | Create (FdoString *value, FdoDataType dataType)
static FDO_API FdoDataValue * | Create (FdoByteArray *value, FdoDataType dataType)
| Constructs an instance of an FdoBLOBValue or FdoCLOBValue using the specified arguments.
static FDO_API FdoDataValue * | Create (FdoByte *value, FdoInt32 length, FdoDataType dataType)
| Constructs an instance of an FdoBLOBValue or FdoCLOBValue using the specified arguments.
static FDO_API FdoDataValue * | Create (FdoString *value)
| Constructs an instance of an FdoStringValue using the specified argument.
static FDO_API FdoDataValue * | Create (float value)
| Constructs an instance of an FdoSingleValue using the specified argument.
static FDO_API FdoDataValue * | Create (FdoInt64 value)
| Constructs an instance of an FdoInt64Value using the specified argument.
static FDO_API FdoDataValue * | Create (FdoInt32 value)
| Constructs an instance of an FdoInt32Value using the specified argument.
static FDO_API FdoDataValue * | Create (FdoInt16 value)
| Constructs an instance of an FdoInt16Value using the specified argument.
static FDO_API FdoDataValue * | Create (double value, FdoDataType dataType)
| Constructs an instance of an FdoDecimalValue or FdoDoubleValue using the specified arguments.
static FDO_API FdoDataValue * | Create (FdoDateTime value)
| Constructs an instance of an FdoDateTimeValue using the specified argument.
static FDO_API FdoDataValue * | Create (FdoByte value)
| Constructs an instance of an FdoByteValue using the specified argument.
static FDO_API FdoDataValue * | Create (bool value)
| Constructs an instance of an FdoBooleanValue using the specified argument.
static FDO_API FdoDataValue * | Create (FdoDataType dataType)
| Constructs an instance of a null FdoDataValue using the specified arguments.

The documentation for this class was generated from the following file:

- DataValue.h